using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{

    protected void Page_Init(object sender, EventArgs e)
    {
        RadGrid1.ItemDataBound += new Telerik.Web.UI.GridItemEventHandler(RadGrid1_ItemDataBound);
    }

    protected void RadGrid1_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridEditableItem && e.Item.IsInEditMode && e.Item.OwnerTableView.Name == "DetailTable")
        {
          RadAjaxManager1.Alert(((GridEditableItem)e.Item).OwnerTableView.ParentItem.GetDataKeyValue("CustomerID").ToString());
        }
    }

}
